editors/beaver - The NetBSD Packages Collection

Lightweight GTK+2 text editor with syntax highlighting

Beaver is an Early AdVanced EditoR, for Linux and other Unices
(and even Windows); in other words, it's a text editor that is
intended to be light-weight, but full of useful features for
programming, from editing of web sites to C coding.

It is based upon the GTK+ toolkit, supports many languages
through config files and offers functions such as automatic
indentation and completion or syntax highlighting.  In fact,
it is 100% compatible with Ultraedit's wordfile.txt files,
and has its own mini macro language.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/libtool-base textproc/intltool lang/perl5 devel/pkgconf

Runtime dependencies

graphics/hicolor-icon-theme sysutils/desktop-file-utils x11/gtk2 graphics/hicolor-icon-theme sysutils/desktop-file-utils x11/gtk2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfbeaver-0.4.1nb2.tgz
NetBSD 8.0earmv7hfbeaver-0.4.1nb2.tgz
NetBSD 8.0i386beaver-0.4.1nb2.tgz
NetBSD 8.0i386beaver-0.4.1nb2.tgz
NetBSD 8.0i386beaver-0.4.1nb2.tgz
NetBSD 8.0powerpcbeaver-0.4.1nb2.tgz
NetBSD 8.0powerpcbeaver-0.4.1nb2.tgz
NetBSD 8.0powerpcbeaver-0.4.1nb2.tgz
NetBSD 8.0x86_64beaver-0.4.1nb2.tgz
NetBSD 8.0x86_64beaver-0.4.1nb2.tgz
NetBSD 8.0x86_64beaver-0.4.1nb2.tgz
NetBSD 9.0aarch64beaver-0.4.1nb2.tgz
NetBSD 9.0aarch64beaver-0.4.1nb2.tgz
NetBSD 9.0aarch64beaver-0.4.1nb2.tgz
NetBSD 9.0alphabeaver-0.4.1nb2.tgz
NetBSD 9.0alphabeaver-0.4.1nb2.tgz
NetBSD 9.0alphabeaver-0.4.1nb2.tgz
NetBSD 9.0earmv6hfbeaver-0.4.1nb2.tgz
NetBSD 9.0earmv6hfbeaver-0.4.1nb2.tgz
NetBSD 9.0earmv6hfbeaver-0.4.1nb2.tgz
NetBSD 9.0earmv6hfbeaver-0.4.1nb2.tgz
NetBSD 9.0earmv7hfbeaver-0.4.1nb2.tgz
NetBSD 9.0earmv7hfbeaver-0.4.1nb2.tgz
NetBSD 9.0earmv7hfbeaver-0.4.1nb2.tgz
NetBSD 9.0earmv7hfbeaver-0.4.1nb2.tgz
NetBSD 9.0earmv7hfbeaver-0.4.1nb2.tgz
NetBSD 9.0i386beaver-0.4.1nb2.tgz
NetBSD 9.0i386beaver-0.4.1nb2.tgz
NetBSD 9.0i386beaver-0.4.1nb2.tgz
NetBSD 9.0mips64ebbeaver-0.4.1nb2.tgz
NetBSD 9.0mips64ebbeaver-0.4.1nb2.tgz
NetBSD 9.0mips64ebbeaver-0.4.1nb2.tgz
NetBSD 9.0powerpcbeaver-0.4.1nb2.tgz
NetBSD 9.0powerpcbeaver-0.4.1nb2.tgz
NetBSD 9.0powerpcbeaver-0.4.1nb2.tgz
NetBSD 9.0sparc64beaver-0.4.1nb2.tgz
NetBSD 9.0sparc64beaver-0.4.1.tgz
NetBSD 9.0sparc64beaver-0.4.1nb2.tgz
NetBSD 9.0sparc64beaver-0.4.1nb2.tgz
NetBSD 9.0sparcbeaver-0.4.1nb2.tgz
NetBSD 9.0sparcbeaver-0.4.1nb2.tgz
NetBSD 9.0sparcbeaver-0.4.1nb2.tgz
NetBSD 9.0x86_64beaver-0.4.1nb2.tgz
NetBSD 9.0x86_64beaver-0.4.1nb2.tgz
NetBSD 9.0x86_64beaver-0.4.1nb2.tgz
NetBSD 9.0x86_64beaver-0.4.1nb2.tgz
NetBSD 9.0x86_64beaver-0.4.1nb2.tgz
NetBSD 9.0x86_64beaver-0.4.1nb2.tgz
NetBSD 9.0x86_64beaver-0.4.1nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.